All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class ESRIMapComposite

    com.sas.servlet.tbeans.graphics.html.ESRIMapComposite

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, FormViewInterface, GraphCompositeKeysInterface, GraphCompositeStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    public class ESRIMapComposite

implements FormViewInterface

***WARNING***

This class is an experimental class and is largely untested.

MapComposite is a TransformationBean that is composed of other TransformationBeans. The MapComposite has a MenuBar and ESRIMapChart as main sub-components. The legend image from the map is also displayed.

See Also:
  `com.sas.servlet.tbeans.graphics.html.MapComponent`, `ESRIMapMenu`, `Label`, Serialized Form

Field Summary
`static java.lang.String` | `MAPCOMPOSITE_CONTAINER_STYLE`
`static java.lang.String` | `MAPCOMPOSITE_LEGEND`
`static java.lang.String` | `MAPCOMPOSITE_MENUBAR_CONTAINER`

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeKeysInterface
`GRAPH_APPLIEDFILTERS, GRAPH_CHART, GRAPH_FOOTER, GRAPH_MENUBAR, GRAPH_TITLE`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeStyleKeysInterface
`GRAPH_CONTAINER_STYLE, GRAPH_CONTENT_STYLE, GRAPH_FOOTER_STYLE, GRAPH_STYLE, GRAPH_TITLE_STYLE, GRAPH_TOOLBAR_STYLE`

Constructor Summary
`ESRIMapComposite()` Constructs a new MapComposite object with a null data model
`ESRIMapComposite(javax.swing.table.TableModel model)` Constructs a new MapComposite object with the passed in data model
`ESRIMapComposite(javax.swing.table.TableModel dataModel, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Constructs a new MapComposite object

Method Summary
`void` | `cleanUpResources()` This method releases all of the necessary resources that were needed by the transformation bean to render itself.
`java.util.HashMap` | `getAdditionalParameters()` Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite.
`Form` | `getDefaultFormObject()` Gets the default form object to be used by the panel
`Form` | `getFormObject()` Gets the form object to be used by the panel
`javax.swing.table.TableModel` | `getModel()` Returns the model on the viewer.
`byte[]` | `getPrintImage()` Creates and returns a byte stream that composes the various pieces of the MapComposite.
`boolean` | `isFormEnabled()` Determines if the MapComposite should render its formObject.
`boolean` | `isUseSession()` Returns whether the Session object should be used during the write() method.
`void` | `setAdditionalParameter(java.lang.String name, java.lang.String value)` Sets an additional parameter to be added to the form used to perform the various actions on the MapComposite.
`void` | `setAdditionalParameters(java.util.HashMap map)` Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the .
`TransformationInterface` | `setComponent(java.lang.String componentKey, TransformationInterface tbean)` Adds or sets a component to the list of components contained in the composite component.
`void` | `setFormEnabled(boolean enable)` Sets whether the MapComposite should render its formObject.
`void` | `setFormObject(Form form)` Sets the form object to be used by the panel
`void` | `setModel(javax.swing.table.TableModel dataModel)` Sets the model on the viewer.
`void` | `setUseSession(boolean useSession)` Sets whether the Session object should be used during the write() method.
`void` | `write(java.io.PrintWriter out)` Writes all the components in this composite using the given Template.

Methods inherited from class com.sas.servlet.tbeans.graphics.html.GraphComposite
`getDefaultAppliedFilters, getDefaultFooter, getDefaultMenuBar, getDefaultTitle`

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Field Detail

### MAPCOMPOSITE_CONTAINER_STYLE

    public static final java.lang.String MAPCOMPOSITE_CONTAINER_STYLE

See Also:
  Constant Field Values

### MAPCOMPOSITE_MENUBAR_CONTAINER

    public static final java.lang.String MAPCOMPOSITE_MENUBAR_CONTAINER

See Also:
  Constant Field Values

### MAPCOMPOSITE_LEGEND

    public static final java.lang.String MAPCOMPOSITE_LEGEND

See Also:
  Constant Field Values

Constructor Detail

### ESRIMapComposite

    public ESRIMapComposite()

  Constructs a new MapComposite object with a null data model

### ESRIMapComposite

    public ESRIMapComposite(javax.swing.table.TableModel model)

  Constructs a new MapComposite object with the passed in data model

  Parameters:
    `model` - The model used for this composite

### ESRIMapComposite

    public ESRIMapComposite(javax.swing.table.TableModel dataModel,
                            javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)

  Constructs a new MapComposite object

  Parameters:
    `model` - The model used for this composite
    `request` - The HttpServletRequest object
    `response` - the HttpServletResponse object

Method Detail

### setModel

    public void setModel(javax.swing.table.TableModel dataModel)

  Sets the model on the viewer.

  Overrides:
    `setModel` in class `GraphComposite`
  Parameters:
    `dataModel` - an instance of the OLAPDataSetInterface

### getModel

    public javax.swing.table.TableModel getModel()

  Returns the model on the viewer.

  Overrides:
    `getModel` in class `GraphComposite`
  Returns:
    the data model for the chart

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes all the components in this composite using the given Template. This method calls the cleanUpResources method at the end to reset the `request` and `response` back to null.

  The MapComposite is composed of the map, a measure dropdown, and the legend.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `GraphComposite`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### cleanUpResources

    public void cleanUpResources()

  This method releases all of the necessary resources that were needed by the transformation bean to render itself. These resources include fields such as `request` and `response`. This method calls the setRequest and setResponse methods with a null value.

  Overrides:
    `cleanUpResources` in class `BaseTransformation`

### setFormObject

    public void setFormObject(Form form)

  Sets the form object to be used by the panel

  Specified by:
    `setFormObject` in interface `FormViewInterface`
  Parameters:
    `form` - The form object

### getFormObject

    public Form getFormObject()

  Gets the form object to be used by the panel

  Specified by:
    `getFormObject` in interface `FormViewInterface`
  Returns:
    The form object

### getDefaultFormObject

    public Form getDefaultFormObject()

  Gets the default form object to be used by the panel

  Specified by:
    `getDefaultFormObject` in interface `FormViewInterface`
  Returns:
    the form object

### getAdditionalParameters

    public java.util.HashMap getAdditionalParameters()

  Returns an HashMap containing additional parameters that should be added to the form used to perform the various actions on the MapComposite. The default value is null. Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `getAdditionalParameters` in interface `FormViewInterface`
  Returns:
    an HashMap containing additional parameters that should be added to the form
  See Also:
    `HashMap`

### setAdditionalParameters

    public void setAdditionalParameters(java.util.HashMap map)

  Sets an HashMap containing additional parameters that should be added to the form used to perform the various actions on the . The default value is null. Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameters` in interface `FormViewInterface`
  Parameters:
    `map` - HashMap object
  See Also:
    `HashMap`

### setAdditionalParameter

    public void setAdditionalParameter(java.lang.String name,
                                       java.lang.String value)

  Sets an additional parameter to be added to the form used to perform the various actions on the MapComposite. In the html version, Each parameter will be added to the form as a hidden field using the name of the item as the name= parameter on the <input> tag and the value of the item as the value= parameter on the input tag.

  Specified by:
    `setAdditionalParameter` in interface `FormViewInterface`
  Parameters:
    `name` - name of the list item
    `value` - value of the list item
  See Also:
    `HashMap`

### setFormEnabled

    public void setFormEnabled(boolean enable)

  Sets whether the MapComposite should render its formObject. If so, then set to true. If set to false, then the user is responsible for rendering the formObject via its writeHeader and writeFooter methods.

  Specified by:
    `setFormEnabled` in interface `FormViewInterface`
  Parameters:
    `value` - true if the formObject should be rendered by the tbean

### isFormEnabled

    public boolean isFormEnabled()

  Determines if the MapComposite should render its formObject. If true, then the tbean is responsible for rendering the formObject via the formObject's writeHeader and writeFooter methods. If false then the tbean does not render the formObject and the user is responsible for rendering the formObject.

  Specified by:
    `isFormEnabled` in interface `FormViewInterface`
  Returns:
    true if the tbean should render its formObject

### getPrintImage

    public byte[] getPrintImage()

  Creates and returns a byte stream that composes the various pieces of the MapComposite. The image contains the map, the legend, and a label representing the measure.

  Returns:
    An image byte stream

### isUseSession

    public boolean isUseSession()

  Returns whether the Session object should be used during the write() method.

  Returns:
    A boolean

### setUseSession

    public void setUseSession(boolean useSession)

  Sets whether the Session object should be used during the write() method.

  Parameters:
    `useSession` - The useSession to set.

### setComponent

    public TransformationInterface setComponent(java.lang.String componentKey,
                                                TransformationInterface tbean)

  Adds or sets a component to the list of components contained in the composite component. Components .must all have a unique componentKey. ComponentKeys are defined for complex and composite components in com.sas.servlet.tbeans.component-name.component-nameKeysInterface.

  Specified by:
    `setComponent` in interface `CompositeComponentInterface`
  Overrides:
    `setComponent` in class `BaseCompositeTransformation`
  Parameters:
    `componentKey` - unique component keys.
    `tbean` - Transformation Bean.
  Returns:
    the object that was added if successful or null if the add is unsuccessful.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.